Skip to main content
`Ctrl`+`K`

# MatNullSpaceRemove

Removes all the components of a null space from a vector.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNullSpaceRemove(MatNullSpace sp, Vec vec)

Collective

## Input Parameters

- sp - the null space context (if this is `NULL` then no null space is removed)

- vec - the vector from which the null space is to be removed

## See Also

Matrices, `Mat`, `MatNullSpace`, `MatNullSpaceCreate()`, `MatNullSpaceDestroy()`, `MatNullSpaceSetFunction()`

## Level

advanced

## Location

src/mat/interface/matnull.c

## Examples

src/ksp/ksp/tutorials/ex32.c
src/ksp/ksp/tutorials/ex66.c
src/ksp/ksp/tutorials/ex35.cxx
src/snes/tutorials/ex12.c
src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex50.c
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex34.c
src/ksp/ksp/tutorials/ex29.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages